cURL
curl --request POST \
--url https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": [
{
"column": "<string>",
"kind": "<string>",
"value": "<string>"
}
],
"kind": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope"
payload = {
"filters": [
{
"column": "<string>",
"kind": "<string>",
"value": "<string>"
}
],
"kind": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [{column: '<string>', kind: '<string>', value: '<string>'}],
kind: '<string>'
})
};
fetch('https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
[
'column' => '<string>',
'kind' => '<string>',
'value' => '<string>'
]
],
'kind' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope"
payload := strings.NewReader("{\n \"filters\": [\n {\n \"column\": \"<string>\",\n \"kind\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"kind\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": [\n {\n \"column\": \"<string>\",\n \"kind\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"kind\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": [\n {\n \"column\": \"<string>\",\n \"kind\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"kind\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"classId": "<string>",
"filter": {},
"kind": "<string>",
"libraryId": "<string>",
"publishState": "PUBLISHED",
"queryScope": "METADATA_ONLY"
}search
Post searchv1beta1libraries views searchscope
Returns the Search Service scope of a view search without executing the search. Requires reader access and external document indexing. The returned filter is evaluated in UTC.
POST
/
search
/
v1beta1
/
libraries
/
{libraryId}
/
views
/
{viewId}
/
searchScope
cURL
curl --request POST \
--url https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"filters": [
{
"column": "<string>",
"kind": "<string>",
"value": "<string>"
}
],
"kind": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope"
payload = {
"filters": [
{
"column": "<string>",
"kind": "<string>",
"value": "<string>"
}
],
"kind": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: [{column: '<string>', kind: '<string>', value: '<string>'}],
kind: '<string>'
})
};
fetch('https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filters' => [
[
'column' => '<string>',
'kind' => '<string>',
'value' => '<string>'
]
],
'kind' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope"
payload := strings.NewReader("{\n \"filters\": [\n {\n \"column\": \"<string>\",\n \"kind\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"kind\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"filters\": [\n {\n \"column\": \"<string>\",\n \"kind\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"kind\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://aodocs.altirnao.com/api/search/v1beta1/libraries/{libraryId}/views/{viewId}/searchScope")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filters\": [\n {\n \"column\": \"<string>\",\n \"kind\": \"<string>\",\n \"value\": \"<string>\"\n }\n ],\n \"kind\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"classId": "<string>",
"filter": {},
"kind": "<string>",
"libraryId": "<string>",
"publishState": "PUBLISHED",
"queryScope": "METADATA_ONLY"
}Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Scopes
View your email address
View your email address
Path Parameters
The ID of the library
The ID of the view
Query Parameters
The text searched to filter documents
Whether to search the text in the attachments too (true by default)
The security code
The G Suite domain